Update delegation role
curl --request PATCH \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/roles/{roleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"designeeRecipientType": "PERSONNEL_IN_POSITION",
"isAutoIssue": false,
"roleRequirement": "Lorem ipsum is a dummy requirement",
"tenantId": "L14f5a115-52d0-4466-baff-740447a60774",
"isCascade": false,
"roleId": "14f5a115-52d0-4466-baff-740447a60774",
"roleDesignees": [],
"RoleStatus": "ASSIGNED"
}
'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/roles/{roleId}"
payload = {
"designeeRecipientType": "PERSONNEL_IN_POSITION",
"isAutoIssue": False,
"roleRequirement": "Lorem ipsum is a dummy requirement",
"tenantId": "L14f5a115-52d0-4466-baff-740447a60774",
"isCascade": False,
"roleId": "14f5a115-52d0-4466-baff-740447a60774",
"roleDesignees": [],
"RoleStatus": "ASSIGNED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
designeeRecipientType: 'PERSONNEL_IN_POSITION',
isAutoIssue: false,
roleRequirement: 'Lorem ipsum is a dummy requirement',
tenantId: 'L14f5a115-52d0-4466-baff-740447a60774',
isCascade: false,
roleId: '14f5a115-52d0-4466-baff-740447a60774',
roleDesignees: [],
RoleStatus: 'ASSIGNED'
})
};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.384Z",
"message": "Success",
"data": {
"id": "14f5a115-52d0-4466-baff-740447a60774",
"delegationId": "2sf90da4-0634-40b9-abf5-6e97a222rds8",
"delegationRoleId": "7sf90da4-0634-40b9-abf5-6e97a222ttt8",
"designeeRecipientType": "PERSONNEL_IN_POSITION",
"isAutoIssue": false,
"updatedAt": "2025-03-05T11:49:50.577Z",
"createdAt": "2025-03-05T11:49:50.577Z",
"roleDesignees": [],
"roleDetails": {
"id": "a97bbbc4-1415-4131-81fb-761fd111f370",
"roleId": "10df93d6-4e88-40f9-b46a-1676017451ba",
"roleName": "Informed",
"roleStatus": "ASSIGNED",
"roleRequirement": "Lorem ipsum is a dummy requirement",
"isCascade": false,
"isDeleted": false,
"createdAt": "2025-03-19T14:45:37.301Z",
"updatedAt": "2025-03-19T14:45:37.301Z"
}
}
}Delegations
Update delegation role
PATCH
/
v1
/
delegations
/
{delegationId}
/
roles
/
{roleId}
Update delegation role
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Delegation recipient type
Example:
"PERSONNEL_IN_POSITION"
Auto Issue option for Delegation recipient of type PERSONNEL_IN_POSITION
Example:
false
Requirement of role delegation
Example:
"Lorem ipsum is a dummy requirement"
tenantId for users and position
Example:
"L14f5a115-52d0-4466-baff-740447a60774"
if true then propogate to child roles else no propogate occurs
Example:
false
Id of role
Example:
"14f5a115-52d0-4466-baff-740447a60774"
Delegation Designees
Show child attributes
Show child attributes
Status of the role
Available options:
ACTIVE, INACTIVE, ASSIGNED, ACKNOWLEDGED Example:
"ASSIGNED"
Response
200 - application/json
Role delegations updated successfully
Was this page helpful?
āI